sap.ui.define([
	"sap/base/util/extend",
	"sap/ui/base/Object",
	"sap/suite/ui/generic/template/lib/BaseNoDataHandler"
], function (
	extend,
	BaseObject,
	BaseNoDataHandler
) {
	"use strict";

	function getMethods() {
		function fnGetIllustratedMessage(oSmartCtrl) {
			return oSmartCtrl.getNoDataIllustratedMessage();
		}

		return {
			getIllustratedMessage: fnGetIllustratedMessage
		};
	}

	return BaseObject.extend("sap.suite.ui.generic.template.lib.ChartNoDataHandler", {
		constructor: function (oController, oTemplateUtils, oNoDataConfig) {
			extend(this, new BaseNoDataHandler(oController, oTemplateUtils, {
				oNoDataConfig: oNoDataConfig,
				methods: getMethods(),
				// SmartChart now only support no dato information with IllustratedMessage,
				// only text messages are not possible to provide.
				// Thats why is for SmartChart turned on illustration only mode.
				// If it will be necessary to revert it back:
				//   1) Switch isIllustrationOnlyMode:false
				//	 2) Add necessary messages to templates. See how it's impl. for SmartTable templates.
				isIllustrationOnlyMode: true
			}));
		}
	});
});
